import request, { postBlob, getBlob, handleImport } from '@/utils/request'

// 获取列表
export function listPageV2(data) {
  return request({
    url: `/thirdPart/list/page?moduleId=${data.moduleId}`,
    method: 'post',
    data
  })
}

//导出
export function pageExport(data, name) {
  return postBlob({
    url: '/thirdPart/pageExport',
    data,
    name
  })
}

// 新增
export function add(data) {
  return request({
    url: `/thirdPart/add`,
    method: 'post',
    data
  })
}

// 编辑
export function edit(data) {
  return request({
    url: `/thirdPart/update`,
    method: 'post',
    data
  })
}

// 删除
export function del(params) {
  return request({
    url: `/thirdPart/del`,
    method: 'post',
    params
  })
}

// 详情
export function getDetail(params) {
  return request({
    url: `/thirdPart/detail`,
    method: 'post',
    params
  })
}